Skip to main content
GET
/
v1
/
devices
/
{id}
/
sync-status
Get device sync status
curl --request GET \
  --url https://managexrapi.com/v1/devices/{id}/sync-status \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": {
    "deviceId": "340YC10G8D14ML",
    "serial": "340YC10G8D14ML",
    "appSyncStatuses": [
      {
        "packageName": "com.oculus.panelapp.kiosk",
        "installed": true,
        "outOfDate": false,
        "hasError": false,
        "currentVersion": {
          "versionCode": 700402468,
          "versionName": "76.0.0.0.410",
          "versionLabel": "stable"
        },
        "targetVersion": {
          "versionCode": 700402468,
          "versionName": "76.0.0.0.410",
          "versionLabel": "stable"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.managexr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET

  • Username: The API Key ID.
  • Password: The API Key Secret.

Path Parameters

id
string
required

Unique identifier (serial number) of the device.

Query Parameters

organizationId
string

Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.

Defaults to the organizationId associated with the API key.

include
enum<string>
required

Comma-separated list of content categories to include in the response. Currently only apps is supported. Required.

Available options:
apps

Response

The device's sync status

data
object

Per-content-category sync status for a single device. Optional content fields (e.g. appSyncStatuses) are populated based on the include query parameter — fields for unrequested categories are omitted.

For a device's overall up-to-date status, use the top-level outOfDate boolean on V1Device (returned by GET /v1/devices and GET /v1/devices/{id}).